
pic_32program_32siors_interrupt:
	MOVWF      R15+0
	SWAPF      STATUS+0, 0
	CLRF       STATUS+0
	MOVWF      ___saveSTATUS+0
	MOVF       PCLATH+0, 0
	MOVWF      ___savePCLATH+0
	CLRF       PCLATH+0

;pic program siors.mbas,58 :: 		sub procedure interrupt
;pic program siors.mbas,60 :: 		if tmr1_interrupt then
	BTFSS      PIR1+0, 0
	GOTO       L_pic_32program_32siors_interrupt2
;pic program siors.mbas,62 :: 		tmr1_interrupt = 0
	BCF        PIR1+0, 0
;pic program siors.mbas,66 :: 		if (count_tmr1 = delay_set) then
	MOVF       _count_tmr1+1, 0
	XORWF      _delay_set+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L_pic_32program_32siors_interrupt185
	MOVF       _delay_set+0, 0
	XORWF      _count_tmr1+0, 0
L_pic_32program_32siors_interrupt185:
	BTFSS      STATUS+0, 2
	GOTO       L_pic_32program_32siors_interrupt5
;pic program siors.mbas,68 :: 		tmr1_enable = 0
	BCF        T1CON+0, 0
;pic program siors.mbas,69 :: 		tmr1h = 0
	CLRF       TMR1H+0
;pic program siors.mbas,70 :: 		tmr1l = 0
	CLRF       TMR1L+0
;pic program siors.mbas,72 :: 		count_tmr1 = 0
	CLRF       _count_tmr1+0
	CLRF       _count_tmr1+1
;pic program siors.mbas,75 :: 		reset_pulse.0 = 1
	BSF        _reset_pulse+0, 0
	GOTO       L_pic_32program_32siors_interrupt6
;pic program siors.mbas,76 :: 		else 'altrimenti incremento count_tmr1
L_pic_32program_32siors_interrupt5:
;pic program siors.mbas,77 :: 		count_tmr1 = count_tmr1 + 1
	INCF       _count_tmr1+0, 1
	BTFSC      STATUS+0, 2
	INCF       _count_tmr1+1, 1
;pic program siors.mbas,78 :: 		end if
L_pic_32program_32siors_interrupt6:
L_pic_32program_32siors_interrupt2:
;pic program siors.mbas,79 :: 		end if
L_pic_32program_32siors_interrupt184:
	MOVF       ___savePCLATH+0, 0
	MOVWF      PCLATH+0
	SWAPF      ___saveSTATUS+0, 0
	MOVWF      STATUS+0
	SWAPF      R15+0, 1
	SWAPF      R15+0, 0
	RETFIE
; end of pic_32program_32siors_interrupt

pic_32program_32siors_send_data:

;pic program siors.mbas,83 :: 		sub procedure send_data(dim byref datasend as string[11])
;pic program siors.mbas,84 :: 		last_send_data = datasend
	MOVLW      _last_send_data+0
	MOVWF      FSR
	MOVF       FARG_send_data_datasend+0, 0
	MOVWF      R1+0
	CALL       ___CS2S+0
	CLRF       INDF+0
;pic program siors.mbas,85 :: 		led_activity = 1 'accendo led
	BSF        PORTC+0, 3
;pic program siors.mbas,86 :: 		delay_ms(10)'Attende il rilascio del bus
	MOVLW      13
	MOVWF      R12+0
	MOVLW      251
	MOVWF      R13+0
L_pic_32program_32siors_send_data8:
	DECFSZ     R13+0, 1
	GOTO       L_pic_32program_32siors_send_data8
	DECFSZ     R12+0, 1
	GOTO       L_pic_32program_32siors_send_data8
	NOP
	NOP
;pic program siors.mbas,87 :: 		tx_uart_enable = 1 'abilita invio seriale
	BSF        TXSTA+0, 5
;pic program siors.mbas,88 :: 		RS485_bus_direction = 1 'seleziona la direzione di comonicazione (invio)
	BSF        PORTC+0, 5
;pic program siors.mbas,89 :: 		delay_us(400) 'attende attivazione max485
	MOVLW      133
	MOVWF      R13+0
L_pic_32program_32siors_send_data9:
	DECFSZ     R13+0, 1
	GOTO       L_pic_32program_32siors_send_data9
;pic program siors.mbas,90 :: 		UART1_Write_Text(datasend) 'invia la stringa generata
	MOVF       FARG_send_data_datasend+0, 0
	MOVWF      FARG_UART1_Write_Text_uart_text+0
	CALL       _UART1_Write_Text+0
;pic program siors.mbas,91 :: 		delay_ms(2) 'attende invio segnali
	MOVLW      3
	MOVWF      R12+0
	MOVLW      151
	MOVWF      R13+0
L_pic_32program_32siors_send_data10:
	DECFSZ     R13+0, 1
	GOTO       L_pic_32program_32siors_send_data10
	DECFSZ     R12+0, 1
	GOTO       L_pic_32program_32siors_send_data10
	NOP
	NOP
;pic program siors.mbas,92 :: 		led_activity = 0 'disattivo led
	BCF        PORTC+0, 3
;pic program siors.mbas,93 :: 		RS485_bus_direction = 0 'ritorno in modalit ascolto
	BCF        PORTC+0, 5
;pic program siors.mbas,94 :: 		tx_uart_enable = 0 'disabilita invio seriale
	BCF        TXSTA+0, 5
	RETURN
; end of pic_32program_32siors_send_data

pic_32program_32siors_code_data_to_send:

;pic program siors.mbas,106 :: 		dim address_slave_send as byte
;pic program siors.mbas,107 :: 		type_to_send = type_s * 4 'sposto di 2 bit la parte del tipo di paccketto
	MOVF       FARG_code_data_to_send_type_s+0, 0
	MOVWF      code_data_to_send_type_to_send+0
	RLF        code_data_to_send_type_to_send+0, 1
	BCF        code_data_to_send_type_to_send+0, 0
	RLF        code_data_to_send_type_to_send+0, 1
	BCF        code_data_to_send_type_to_send+0, 0
;pic program siors.mbas,108 :: 		if (address_master_send <> 255) then 'se l'indirizzo  in modalit normale
	MOVF       FARG_code_data_to_send_address_master_send+0, 0
	XORLW      255
	BTFSC      STATUS+0, 2
	GOTO       L_pic_32program_32siors_code_data_to_send13
;pic program siors.mbas,109 :: 		address_slave_send = adr_s
	MOVF       _adr_s+0, 0
	MOVWF      code_data_to_send_address_slave_send+0
	GOTO       L_pic_32program_32siors_code_data_to_send14
;pic program siors.mbas,110 :: 		else 'altriemtni se in broadcast
L_pic_32program_32siors_code_data_to_send13:
;pic program siors.mbas,111 :: 		address_slave_send = 255
	MOVLW      255
	MOVWF      code_data_to_send_address_slave_send+0
;pic program siors.mbas,112 :: 		end if
L_pic_32program_32siors_code_data_to_send14:
;pic program siors.mbas,113 :: 		if (data1_s = 0) then 'se data1  pari a 0
	MOVF       FARG_code_data_to_send_data1_s+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_pic_32program_32siors_code_data_to_send16
;pic program siors.mbas,114 :: 		data_send_1 = 48 'invio 48 e segno con il bit in type to send che  uno 0
	MOVLW      48
	MOVWF      code_data_to_send_data_send_1+0
;pic program siors.mbas,115 :: 		type_to_send.0 = 1
	BSF        code_data_to_send_type_to_send+0, 0
	GOTO       L_pic_32program_32siors_code_data_to_send17
;pic program siors.mbas,116 :: 		else
L_pic_32program_32siors_code_data_to_send16:
;pic program siors.mbas,117 :: 		data_send_1 = data1_s  'altrimenti mantengo il dato
	MOVF       FARG_code_data_to_send_data1_s+0, 0
	MOVWF      code_data_to_send_data_send_1+0
;pic program siors.mbas,118 :: 		end if
L_pic_32program_32siors_code_data_to_send17:
;pic program siors.mbas,119 :: 		if (data2_s = 0) then 'se data2  pari a 0
	MOVF       FARG_code_data_to_send_data2_s+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_pic_32program_32siors_code_data_to_send19
;pic program siors.mbas,120 :: 		data_send_2 = 48 'invio 48 e segno con il bit in type to send che  uno 0
	MOVLW      48
	MOVWF      code_data_to_send_data_send_2+0
;pic program siors.mbas,121 :: 		type_to_send.1 = 1
	BSF        code_data_to_send_type_to_send+0, 1
	GOTO       L_pic_32program_32siors_code_data_to_send20
;pic program siors.mbas,122 :: 		else
L_pic_32program_32siors_code_data_to_send19:
;pic program siors.mbas,123 :: 		data_send_2 = data2_s 'altrimenti mantengo il dato
	MOVF       FARG_code_data_to_send_data2_s+0, 0
	MOVWF      code_data_to_send_data_send_2+0
;pic program siors.mbas,124 :: 		end if
L_pic_32program_32siors_code_data_to_send20:
;pic program siors.mbas,126 :: 		checksum_send = address_master_send xor address_slave_send xor type_to_send xor data_send_1 xor data_send_2
	MOVF       code_data_to_send_address_slave_send+0, 0
	XORWF      FARG_code_data_to_send_address_master_send+0, 0
	MOVWF      R0+0
	MOVF       code_data_to_send_type_to_send+0, 0
	XORWF      R0+0, 1
	MOVF       code_data_to_send_data_send_1+0, 0
	XORWF      R0+0, 1
	MOVF       code_data_to_send_data_send_2+0, 0
	XORWF      R0+0, 0
	MOVWF      R1+0
;pic program siors.mbas,127 :: 		checksum_send_low = (checksum_send and 15) or 128
	MOVLW      15
	ANDWF      R1+0, 0
	MOVWF      _string_compose+6
	BSF        _string_compose+6, 7
;pic program siors.mbas,128 :: 		checksum_send_hi =  (checksum_send / 16) or 128
	MOVF       R1+0, 0
	MOVWF      _string_compose+7
	RRF        _string_compose+7, 1
	BCF        _string_compose+7, 7
	RRF        _string_compose+7, 1
	BCF        _string_compose+7, 7
	RRF        _string_compose+7, 1
	BCF        _string_compose+7, 7
	RRF        _string_compose+7, 1
	BCF        _string_compose+7, 7
	BSF        _string_compose+7, 7
;pic program siors.mbas,130 :: 		string_compose[0] = "S"
	MOVLW      83
	MOVWF      _string_compose+0
;pic program siors.mbas,131 :: 		string_compose[1] = address_master_send
	MOVF       FARG_code_data_to_send_address_master_send+0, 0
	MOVWF      _string_compose+1
;pic program siors.mbas,132 :: 		string_compose[2] = address_slave_send
	MOVF       code_data_to_send_address_slave_send+0, 0
	MOVWF      _string_compose+2
;pic program siors.mbas,133 :: 		string_compose[3] = type_to_send
	MOVF       code_data_to_send_type_to_send+0, 0
	MOVWF      _string_compose+3
;pic program siors.mbas,134 :: 		string_compose[4] = data_send_1
	MOVF       code_data_to_send_data_send_1+0, 0
	MOVWF      _string_compose+4
;pic program siors.mbas,135 :: 		string_compose[5] = data_send_2
	MOVF       code_data_to_send_data_send_2+0, 0
	MOVWF      _string_compose+5
;pic program siors.mbas,136 :: 		string_compose[6] = checksum_send_low
;pic program siors.mbas,137 :: 		string_compose[7] = checksum_send_hi
;pic program siors.mbas,138 :: 		string_compose[8] = 3 'byte di fine trama
	MOVLW      3
	MOVWF      _string_compose+8
;pic program siors.mbas,139 :: 		string_compose[9] = 3
	MOVLW      3
	MOVWF      _string_compose+9
;pic program siors.mbas,140 :: 		string_compose[10] = 3
	MOVLW      3
	MOVWF      _string_compose+10
;pic program siors.mbas,141 :: 		string_compose[11] = 0 'carattere NULL
	CLRF       _string_compose+11
;pic program siors.mbas,143 :: 		send_data(string_compose)
	MOVLW      _string_compose+0
	MOVWF      FARG_send_data_datasend+0
	CALL       pic_32program_32siors_send_data+0
	RETURN
; end of pic_32program_32siors_code_data_to_send

pic_32program_32siors_decode_ric_data:

;pic program siors.mbas,152 :: 		dim calcolated_checksum as byte
;pic program siors.mbas,153 :: 		correct_data = 0
	MOVF       FARG_decode_ric_data_correct_data+0, 0
	MOVWF      FSR
	CLRF       INDF+0
;pic program siors.mbas,154 :: 		if (array_in_data[0] = 83) then 'se start byte  corretto
	MOVF       FARG_decode_ric_data_array_in_data+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	XORLW      83
	BTFSS      STATUS+0, 2
	GOTO       L_pic_32program_32siors_decode_ric_data23
;pic program siors.mbas,157 :: 		chk_low = array_in_data[6] and 15
	MOVLW      6
	ADDWF      FARG_decode_ric_data_array_in_data+0, 0
	MOVWF      FSR
	MOVLW      15
	ANDWF      INDF+0, 0
	MOVWF      R3+0
;pic program siors.mbas,158 :: 		chk_hi = array_in_data[7] and 15
	MOVLW      7
	ADDWF      FARG_decode_ric_data_array_in_data+0, 0
	MOVWF      FSR
	MOVLW      15
	ANDWF      INDF+0, 0
	MOVWF      R2+0
;pic program siors.mbas,159 :: 		checksum = (chk_hi * 16) or chk_low 'mette insieme i 2 byte per ricostruire il byte di checksum
	MOVF       R2+0, 0
	MOVWF      R0+0
	RLF        R0+0, 1
	BCF        R0+0, 0
	RLF        R0+0, 1
	BCF        R0+0, 0
	RLF        R0+0, 1
	BCF        R0+0, 0
	RLF        R0+0, 1
	BCF        R0+0, 0
	MOVF       R0+0, 0
	IORWF      R3+0, 1
;pic program siors.mbas,161 :: 		calcolated_checksum = array_in_data[1] xor array_in_data[2] xor array_in_data[3] xor array_in_data[4] xor array_in_data[5]
	INCF       FARG_decode_ric_data_array_in_data+0, 0
	MOVWF      R1+0
	MOVLW      2
	ADDWF      FARG_decode_ric_data_array_in_data+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      R0+0
	MOVF       R1+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	XORWF      R0+0, 1
	MOVLW      3
	ADDWF      FARG_decode_ric_data_array_in_data+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	XORWF      R0+0, 1
	MOVLW      4
	ADDWF      FARG_decode_ric_data_array_in_data+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	XORWF      R0+0, 1
	MOVLW      5
	ADDWF      FARG_decode_ric_data_array_in_data+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	XORWF      R0+0, 1
;pic program siors.mbas,162 :: 		if (calcolated_checksum = checksum) and (array_in_data[6].7 = 1) and (array_in_data[7].7 = 1) then 'se il checksum  corretto
	MOVF       R0+0, 0
	XORWF      R3+0, 0
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R2+0
	MOVLW      6
	ADDWF      FARG_decode_ric_data_array_in_data+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      R1+0
	CLRF       R0+0
	MOVF       R1+0, 0
	MOVWF      FSR
	BTFSS      INDF+0, 7
	GOTO       L_pic_32program_32siors_decode_ric_data28
	MOVLW      255
	MOVWF      R0+0
L_pic_32program_32siors_decode_ric_data28:
	MOVF       R0+0, 0
	ANDWF      R2+0, 1
	MOVLW      7
	ADDWF      FARG_decode_ric_data_array_in_data+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      R1+0
	CLRF       R0+0
	MOVF       R1+0, 0
	MOVWF      FSR
	BTFSS      INDF+0, 7
	GOTO       L_pic_32program_32siors_decode_ric_data29
	MOVLW      255
	MOVWF      R0+0
L_pic_32program_32siors_decode_ric_data29:
	MOVF       R2+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L_pic_32program_32siors_decode_ric_data26
;pic program siors.mbas,163 :: 		address_ric = array_in_data[1]
	INCF       FARG_decode_ric_data_array_in_data+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      R0+0
	MOVF       FARG_decode_ric_data_address_ric+0, 0
	MOVWF      FSR
	MOVF       R0+0, 0
	MOVWF      INDF+0
;pic program siors.mbas,164 :: 		address_master = array_in_data[2]
	MOVLW      2
	ADDWF      FARG_decode_ric_data_array_in_data+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      R0+0
	MOVF       FARG_decode_ric_data_address_master+0, 0
	MOVWF      FSR
	MOVF       R0+0, 0
	MOVWF      INDF+0
;pic program siors.mbas,165 :: 		type_ric = (array_in_data[3] and 252)/4 'preleva il byte che seleziona il tipo di chiamata
	MOVLW      3
	ADDWF      FARG_decode_ric_data_array_in_data+0, 0
	MOVWF      FSR
	MOVLW      252
	ANDWF      INDF+0, 0
	MOVWF      R2+0
	MOVF       R2+0, 0
	MOVWF      R0+0
	RRF        R0+0, 1
	BCF        R0+0, 7
	RRF        R0+0, 1
	BCF        R0+0, 7
	MOVF       FARG_decode_ric_data_type_ric+0, 0
	MOVWF      FSR
	MOVF       R0+0, 0
	MOVWF      INDF+0
;pic program siors.mbas,167 :: 		if (array_in_data[4] = 48) and (array_in_data[3].0 = 1) then 'se data1  uguale a zero (controllo zero flag 1)
	MOVLW      4
	ADDWF      FARG_decode_ric_data_array_in_data+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	XORLW      48
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R2+0
	MOVLW      3
	ADDWF      FARG_decode_ric_data_array_in_data+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      R1+0
	CLRF       R0+0
	MOVF       R1+0, 0
	MOVWF      FSR
	BTFSS      INDF+0, 0
	GOTO       L_pic_32program_32siors_decode_ric_data33
	MOVLW      255
	MOVWF      R0+0
L_pic_32program_32siors_decode_ric_data33:
	MOVF       R2+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L_pic_32program_32siors_decode_ric_data31
;pic program siors.mbas,168 :: 		data1_ric = 0
	MOVF       FARG_decode_ric_data_data1_ric+0, 0
	MOVWF      FSR
	CLRF       INDF+0
	GOTO       L_pic_32program_32siors_decode_ric_data32
;pic program siors.mbas,169 :: 		else 'altrimenti viene copiato il byte
L_pic_32program_32siors_decode_ric_data31:
;pic program siors.mbas,170 :: 		data1_ric = array_in_data[4]
	MOVLW      4
	ADDWF      FARG_decode_ric_data_array_in_data+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      R0+0
	MOVF       FARG_decode_ric_data_data1_ric+0, 0
	MOVWF      FSR
	MOVF       R0+0, 0
	MOVWF      INDF+0
;pic program siors.mbas,171 :: 		end if
L_pic_32program_32siors_decode_ric_data32:
;pic program siors.mbas,172 :: 		if (array_in_data[5] = 48) and (array_in_data[3].1 = 1) then 'se data2  uguale a zero (controllo zero flag 2)
	MOVLW      5
	ADDWF      FARG_decode_ric_data_array_in_data+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	XORLW      48
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R2+0
	MOVLW      3
	ADDWF      FARG_decode_ric_data_array_in_data+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      R1+0
	CLRF       R0+0
	MOVF       R1+0, 0
	MOVWF      FSR
	BTFSS      INDF+0, 1
	GOTO       L_pic_32program_32siors_decode_ric_data37
	MOVLW      255
	MOVWF      R0+0
L_pic_32program_32siors_decode_ric_data37:
	MOVF       R2+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L_pic_32program_32siors_decode_ric_data35
;pic program siors.mbas,173 :: 		data2_ric = 0
	MOVF       FARG_decode_ric_data_data2_ric+0, 0
	MOVWF      FSR
	CLRF       INDF+0
	GOTO       L_pic_32program_32siors_decode_ric_data36
;pic program siors.mbas,174 :: 		else 'altrimenti viene copiato il byte
L_pic_32program_32siors_decode_ric_data35:
;pic program siors.mbas,175 :: 		data2_ric = array_in_data[5]
	MOVLW      5
	ADDWF      FARG_decode_ric_data_array_in_data+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      R0+0
	MOVF       FARG_decode_ric_data_data2_ric+0, 0
	MOVWF      FSR
	MOVF       R0+0, 0
	MOVWF      INDF+0
;pic program siors.mbas,176 :: 		end if
L_pic_32program_32siors_decode_ric_data36:
;pic program siors.mbas,177 :: 		correct_data = 1
	MOVF       FARG_decode_ric_data_correct_data+0, 0
	MOVWF      FSR
	MOVLW      1
	MOVWF      INDF+0
L_pic_32program_32siors_decode_ric_data26:
;pic program siors.mbas,178 :: 		end if
L_pic_32program_32siors_decode_ric_data23:
;pic program siors.mbas,179 :: 		end if
	RETURN
; end of pic_32program_32siors_decode_ric_data

pic_32program_32siors_read_output:

;pic program siors.mbas,183 :: 		sub procedure read_output()
;pic program siors.mbas,184 :: 		out_value_r.0 = OUT1
	BTFSC      PORTA+0, 1
	GOTO       L_pic_32program_32siors_read_output186
	BCF        _out_value_r+0, 0
	GOTO       L_pic_32program_32siors_read_output187
L_pic_32program_32siors_read_output186:
	BSF        _out_value_r+0, 0
L_pic_32program_32siors_read_output187:
;pic program siors.mbas,185 :: 		out_value_r.1 = OUT2
	BTFSC      PORTA+0, 2
	GOTO       L_pic_32program_32siors_read_output188
	BCF        _out_value_r+0, 1
	GOTO       L_pic_32program_32siors_read_output189
L_pic_32program_32siors_read_output188:
	BSF        _out_value_r+0, 1
L_pic_32program_32siors_read_output189:
;pic program siors.mbas,186 :: 		out_value_r.2 = OUT3
	BTFSC      PORTA+0, 3
	GOTO       L_pic_32program_32siors_read_output190
	BCF        _out_value_r+0, 2
	GOTO       L_pic_32program_32siors_read_output191
L_pic_32program_32siors_read_output190:
	BSF        _out_value_r+0, 2
L_pic_32program_32siors_read_output191:
;pic program siors.mbas,187 :: 		out_value_r.3 = OUT4
	BTFSC      PORTA+0, 4
	GOTO       L_pic_32program_32siors_read_output192
	BCF        _out_value_r+0, 3
	GOTO       L_pic_32program_32siors_read_output193
L_pic_32program_32siors_read_output192:
	BSF        _out_value_r+0, 3
L_pic_32program_32siors_read_output193:
;pic program siors.mbas,188 :: 		out_value_r.4 = OUT5
	BTFSC      PORTA+0, 5
	GOTO       L_pic_32program_32siors_read_output194
	BCF        _out_value_r+0, 4
	GOTO       L_pic_32program_32siors_read_output195
L_pic_32program_32siors_read_output194:
	BSF        _out_value_r+0, 4
L_pic_32program_32siors_read_output195:
;pic program siors.mbas,189 :: 		out_value_r.5 = OUT6
	BTFSC      PORTC+0, 0
	GOTO       L_pic_32program_32siors_read_output196
	BCF        _out_value_r+0, 5
	GOTO       L_pic_32program_32siors_read_output197
L_pic_32program_32siors_read_output196:
	BSF        _out_value_r+0, 5
L_pic_32program_32siors_read_output197:
;pic program siors.mbas,190 :: 		out_value_r.6 = OUT7
	BTFSC      PORTC+0, 1
	GOTO       L_pic_32program_32siors_read_output198
	BCF        _out_value_r+0, 6
	GOTO       L_pic_32program_32siors_read_output199
L_pic_32program_32siors_read_output198:
	BSF        _out_value_r+0, 6
L_pic_32program_32siors_read_output199:
;pic program siors.mbas,191 :: 		out_value_r.7 = OUT8
	BTFSC      PORTC+0, 2
	GOTO       L_pic_32program_32siors_read_output200
	BCF        _out_value_r+0, 7
	GOTO       L_pic_32program_32siors_read_output201
L_pic_32program_32siors_read_output200:
	BSF        _out_value_r+0, 7
L_pic_32program_32siors_read_output201:
	RETURN
; end of pic_32program_32siors_read_output

pic_32program_32siors_write_output:

;pic program siors.mbas,195 :: 		sub procedure write_output(dim out_value_w as byte)
;pic program siors.mbas,196 :: 		OUT1 = out_value_w.0
	BTFSC      FARG_write_output_out_value_w+0, 0
	GOTO       L_pic_32program_32siors_write_output202
	BCF        PORTA+0, 1
	GOTO       L_pic_32program_32siors_write_output203
L_pic_32program_32siors_write_output202:
	BSF        PORTA+0, 1
L_pic_32program_32siors_write_output203:
;pic program siors.mbas,197 :: 		OUT2 = out_value_w.1
	BTFSC      FARG_write_output_out_value_w+0, 1
	GOTO       L_pic_32program_32siors_write_output204
	BCF        PORTA+0, 2
	GOTO       L_pic_32program_32siors_write_output205
L_pic_32program_32siors_write_output204:
	BSF        PORTA+0, 2
L_pic_32program_32siors_write_output205:
;pic program siors.mbas,198 :: 		OUT3 = out_value_w.2
	BTFSC      FARG_write_output_out_value_w+0, 2
	GOTO       L_pic_32program_32siors_write_output206
	BCF        PORTA+0, 3
	GOTO       L_pic_32program_32siors_write_output207
L_pic_32program_32siors_write_output206:
	BSF        PORTA+0, 3
L_pic_32program_32siors_write_output207:
;pic program siors.mbas,204 :: 		OUT4 = out_value_w.3
	BTFSC      FARG_write_output_out_value_w+0, 3
	GOTO       L_pic_32program_32siors_write_output208
	BCF        PORTA+0, 4
	GOTO       L_pic_32program_32siors_write_output209
L_pic_32program_32siors_write_output208:
	BSF        PORTA+0, 4
L_pic_32program_32siors_write_output209:
;pic program siors.mbas,205 :: 		OUT5 = out_value_w.4
	BTFSC      FARG_write_output_out_value_w+0, 4
	GOTO       L_pic_32program_32siors_write_output210
	BCF        PORTA+0, 5
	GOTO       L_pic_32program_32siors_write_output211
L_pic_32program_32siors_write_output210:
	BSF        PORTA+0, 5
L_pic_32program_32siors_write_output211:
;pic program siors.mbas,206 :: 		OUT6 = out_value_w.5
	BTFSC      FARG_write_output_out_value_w+0, 5
	GOTO       L_pic_32program_32siors_write_output212
	BCF        PORTC+0, 0
	GOTO       L_pic_32program_32siors_write_output213
L_pic_32program_32siors_write_output212:
	BSF        PORTC+0, 0
L_pic_32program_32siors_write_output213:
;pic program siors.mbas,207 :: 		OUT7 = out_value_w.6
	BTFSC      FARG_write_output_out_value_w+0, 6
	GOTO       L_pic_32program_32siors_write_output214
	BCF        PORTC+0, 1
	GOTO       L_pic_32program_32siors_write_output215
L_pic_32program_32siors_write_output214:
	BSF        PORTC+0, 1
L_pic_32program_32siors_write_output215:
;pic program siors.mbas,208 :: 		OUT8 = out_value_w.7
	BTFSC      FARG_write_output_out_value_w+0, 7
	GOTO       L_pic_32program_32siors_write_output216
	BCF        PORTC+0, 2
	GOTO       L_pic_32program_32siors_write_output217
L_pic_32program_32siors_write_output216:
	BSF        PORTC+0, 2
L_pic_32program_32siors_write_output217:
	RETURN
; end of pic_32program_32siors_write_output

pic_32program_32siors_reset_EEPROM_value:

;pic program siors.mbas,212 :: 		sub procedure reset_EEPROM_value()
;pic program siors.mbas,213 :: 		EEPROM_Write($02, $00)
	MOVLW      2
	MOVWF      FARG_EEPROM_Write_address+0
	CLRF       FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
;pic program siors.mbas,214 :: 		delay_ms(1) 'attendo 1 millisecondo
	MOVLW      2
	MOVWF      R12+0
	MOVLW      75
	MOVWF      R13+0
L_pic_32program_32siors_reset_EEPROM_value41:
	DECFSZ     R13+0, 1
	GOTO       L_pic_32program_32siors_reset_EEPROM_value41
	DECFSZ     R12+0, 1
	GOTO       L_pic_32program_32siors_reset_EEPROM_value41
;pic program siors.mbas,215 :: 		EEPROM_Write($03, $FF)
	MOVLW      3
	MOVWF      FARG_EEPROM_Write_address+0
	MOVLW      255
	MOVWF      FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
;pic program siors.mbas,216 :: 		delay_ms(1)
	MOVLW      2
	MOVWF      R12+0
	MOVLW      75
	MOVWF      R13+0
L_pic_32program_32siors_reset_EEPROM_value42:
	DECFSZ     R13+0, 1
	GOTO       L_pic_32program_32siors_reset_EEPROM_value42
	DECFSZ     R12+0, 1
	GOTO       L_pic_32program_32siors_reset_EEPROM_value42
;pic program siors.mbas,217 :: 		EEPROM_Write($04, $FF)
	MOVLW      4
	MOVWF      FARG_EEPROM_Write_address+0
	MOVLW      255
	MOVWF      FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
;pic program siors.mbas,218 :: 		delay_ms(1)
	MOVLW      2
	MOVWF      R12+0
	MOVLW      75
	MOVWF      R13+0
L_pic_32program_32siors_reset_EEPROM_value43:
	DECFSZ     R13+0, 1
	GOTO       L_pic_32program_32siors_reset_EEPROM_value43
	DECFSZ     R12+0, 1
	GOTO       L_pic_32program_32siors_reset_EEPROM_value43
;pic program siors.mbas,219 :: 		EEPROM_Write($05, $00)
	MOVLW      5
	MOVWF      FARG_EEPROM_Write_address+0
	CLRF       FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
;pic program siors.mbas,220 :: 		delay_ms(1)
	MOVLW      2
	MOVWF      R12+0
	MOVLW      75
	MOVWF      R13+0
L_pic_32program_32siors_reset_EEPROM_value44:
	DECFSZ     R13+0, 1
	GOTO       L_pic_32program_32siors_reset_EEPROM_value44
	DECFSZ     R12+0, 1
	GOTO       L_pic_32program_32siors_reset_EEPROM_value44
;pic program siors.mbas,221 :: 		EEPROM_Write($06, $00)
	MOVLW      6
	MOVWF      FARG_EEPROM_Write_address+0
	CLRF       FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
	RETURN
; end of pic_32program_32siors_reset_EEPROM_value

pic_32program_32siors_test_in_data:

;pic program siors.mbas,225 :: 		sub procedure test_in_data()
;pic program siors.mbas,227 :: 		input_value = not port_input
	COMF       PORTB+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _input_value+0
;pic program siors.mbas,230 :: 		flag_hi_byte = flag_hi_byte or input_value
	MOVF       _input_value+0, 0
	IORWF      _flag_hi_byte+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _flag_hi_byte+0
;pic program siors.mbas,233 :: 		flag_low_byte = flag_low_byte and input_value
	MOVF       _input_value+0, 0
	ANDWF      _flag_low_byte+0, 0
	MOVWF      R2+0
	MOVF       R2+0, 0
	MOVWF      _flag_low_byte+0
;pic program siors.mbas,235 :: 		if (last_flag_hi_byte <> flag_hi_byte) or (last_flag_low_byte <> flag_low_byte) then
	MOVF       _last_flag_hi_byte+0, 0
	XORWF      R0+0, 0
	MOVLW      255
	BTFSC      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	MOVF       _last_flag_low_byte+0, 0
	XORWF      R2+0, 0
	MOVLW      255
	BTFSC      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	IORWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L_pic_32program_32siors_test_in_data47
;pic program siors.mbas,237 :: 		last_flag_low_byte = flag_low_byte
	MOVF       _flag_low_byte+0, 0
	MOVWF      _last_flag_low_byte+0
;pic program siors.mbas,238 :: 		last_flag_hi_byte = flag_hi_byte
	MOVF       _flag_hi_byte+0, 0
	MOVWF      _last_flag_hi_byte+0
;pic program siors.mbas,240 :: 		EEPROM_Write($04, flag_low_byte)
	MOVLW      4
	MOVWF      FARG_EEPROM_Write_address+0
	MOVF       _flag_low_byte+0, 0
	MOVWF      FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
;pic program siors.mbas,241 :: 		EEPROM_Write($05, flag_hi_byte)
	MOVLW      5
	MOVWF      FARG_EEPROM_Write_address+0
	MOVF       _flag_hi_byte+0, 0
	MOVWF      FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
L_pic_32program_32siors_test_in_data47:
;pic program siors.mbas,242 :: 		end if
	RETURN
; end of pic_32program_32siors_test_in_data

pic_32program_32siors_tmr1_reset:

;pic program siors.mbas,246 :: 		sub procedure tmr1_reset()
;pic program siors.mbas,247 :: 		tmr1h = 0
	CLRF       TMR1H+0
;pic program siors.mbas,248 :: 		tmr1l = 0
	CLRF       TMR1L+0
;pic program siors.mbas,250 :: 		count_tmr1 = 0
	CLRF       _count_tmr1+0
	CLRF       _count_tmr1+1
	RETURN
; end of pic_32program_32siors_tmr1_reset

_main:

;pic program siors.mbas,254 :: 		main:
;pic program siors.mbas,258 :: 		trisa = $01 'configura gli i/o di porta (bin 00000001) 5 uscite, 1 ingresso
	MOVLW      1
	MOVWF      TRISA+0
;pic program siors.mbas,259 :: 		trisb = $FF 'configura gli i/o di portb (bin 11111111) 8 ingressi
	MOVLW      255
	MOVWF      TRISB+0
;pic program siors.mbas,260 :: 		trisc = $10  'configura gli i/o di portc (bin 00010000) 7 uscite, 1 ingresso
	MOVLW      16
	MOVWF      TRISC+0
;pic program siors.mbas,262 :: 		porta = 0
	CLRF       PORTA+0
;pic program siors.mbas,263 :: 		portb = 0
	CLRF       PORTB+0
;pic program siors.mbas,264 :: 		portc = 0
	CLRF       PORTC+0
;pic program siors.mbas,266 :: 		ADCON0 = $C7
	MOVLW      199
	MOVWF      ADCON0+0
;pic program siors.mbas,267 :: 		ADCON1 = $8E
	MOVLW      142
	MOVWF      ADCON1+0
;pic program siors.mbas,268 :: 		INTCON = $C0
	MOVLW      192
	MOVWF      INTCON+0
;pic program siors.mbas,269 :: 		PIE1 = $01
	MOVLW      1
	MOVWF      PIE1+0
;pic program siors.mbas,270 :: 		PIR1 = $00
	CLRF       PIR1+0
;pic program siors.mbas,271 :: 		T1CON = $34
	MOVLW      52
	MOVWF      T1CON+0
;pic program siors.mbas,273 :: 		tmr1_enable = 0
	BCF        T1CON+0, 0
;pic program siors.mbas,274 :: 		tmr1_reset()
	CALL       pic_32program_32siors_tmr1_reset+0
;pic program siors.mbas,275 :: 		reset_pulse = 0
	CLRF       _reset_pulse+0
;pic program siors.mbas,277 :: 		option_reg = $7F
	MOVLW      127
	MOVWF      OPTION_REG+0
;pic program siors.mbas,280 :: 		flag_hi_byte = EEPROM_Read($05)
	MOVLW      5
	MOVWF      FARG_EEPROM_Read_address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      _flag_hi_byte+0
;pic program siors.mbas,281 :: 		last_flag_hi_byte = flag_hi_byte
	MOVF       R0+0, 0
	MOVWF      _last_flag_hi_byte+0
;pic program siors.mbas,282 :: 		flag_low_byte = EEPROM_Read($04)
	MOVLW      4
	MOVWF      FARG_EEPROM_Read_address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      _flag_low_byte+0
;pic program siors.mbas,283 :: 		last_flag_low_byte = flag_low_byte
	MOVF       R0+0, 0
	MOVWF      _last_flag_low_byte+0
;pic program siors.mbas,285 :: 		uart1_init(9600) 'inizializzazione uart hardware pic a 9600 bps
	MOVLW      25
	MOVWF      SPBRG+0
	BSF        TXSTA+0, 2
	CALL       _UART1_Init+0
;pic program siors.mbas,286 :: 		tx_uart_enable = 0 'diasbilita invio seriale
	BCF        TXSTA+0, 5
;pic program siors.mbas,287 :: 		rx_uart_enable = 0 'disabilito ricezione seriale
	BCF        RCSTA+0, 4
;pic program siors.mbas,289 :: 		adr_m = EEPROM_Read($00) 'address master
	CLRF       FARG_EEPROM_Read_address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      _adr_m+0
;pic program siors.mbas,290 :: 		adr_s = EEPROM_Read($01) 'address slave
	MOVLW      1
	MOVWF      FARG_EEPROM_Read_address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      _adr_s+0
;pic program siors.mbas,293 :: 		write_output(EEPROM_Read($02)) 'ripristina il valore di output precedente
	MOVLW      2
	MOVWF      FARG_EEPROM_Read_address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      FARG_write_output_out_value_w+0
	CALL       pic_32program_32siors_write_output+0
;pic program siors.mbas,294 :: 		read_output()
	CALL       pic_32program_32siors_read_output+0
;pic program siors.mbas,296 :: 		analog_value = adc_read(0)
	CLRF       FARG_Adc_Read_channel+0
	CALL       _Adc_Read+0
	MOVF       R0+0, 0
	MOVWF      _analog_value+0
	MOVF       R0+1, 0
	MOVWF      _analog_value+1
;pic program siors.mbas,298 :: 		delay_set = EEPROM_Read($06) * 2
	MOVLW      6
	MOVWF      FARG_EEPROM_Read_address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      R1+0
	CLRF       R1+1
	MOVF       R1+0, 0
	MOVWF      _delay_set+0
	MOVF       R1+1, 0
	MOVWF      _delay_set+1
	RLF        _delay_set+0, 1
	RLF        _delay_set+1, 1
	BCF        _delay_set+0, 0
;pic program siors.mbas,301 :: 		led_activity = 1 'attivo led
	BSF        PORTC+0, 3
;pic program siors.mbas,302 :: 		delay_ms(750) 'accende led per alcuni ms per avvisare della corretta accensione
	MOVLW      4
	MOVWF      R11+0
	MOVLW      207
	MOVWF      R12+0
	MOVLW      1
	MOVWF      R13+0
L__main51:
	DECFSZ     R13+0, 1
	GOTO       L__main51
	DECFSZ     R12+0, 1
	GOTO       L__main51
	DECFSZ     R11+0, 1
	GOTO       L__main51
	NOP
	NOP
;pic program siors.mbas,303 :: 		led_activity = 0 'spegne led
	BCF        PORTC+0, 3
;pic program siors.mbas,305 :: 		get_data_received = "" 'azzero dato ricezione
	CLRF       _get_data_received+0
;pic program siors.mbas,306 :: 		read_request = 0 'azzero richiesta di lettura
	CLRF       _read_request+0
;pic program siors.mbas,307 :: 		rx_uart_enable = 1 'riabilita ricezione
	BSF        RCSTA+0, 4
;pic program siors.mbas,310 :: 		while true
L__main53:
;pic program siors.mbas,311 :: 		clrwdt 'resetto watchdog timer
	CLRWDT
;pic program siors.mbas,313 :: 		test_in_data()
	CALL       pic_32program_32siors_test_in_data+0
;pic program siors.mbas,316 :: 		if (reset_pulse.0 = 1) then
	BTFSS      _reset_pulse+0, 0
	GOTO       L__main58
;pic program siors.mbas,318 :: 		reset_pulse.0 = 0
	BCF        _reset_pulse+0, 0
;pic program siors.mbas,320 :: 		write_output(pulse_byte)
	MOVF       _pulse_byte+0, 0
	MOVWF      FARG_write_output_out_value_w+0
	CALL       pic_32program_32siors_write_output+0
L__main58:
;pic program siors.mbas,323 :: 		if (UART1_Data_Ready() = 1)  then 'se  stato ricevuto qualche byte da UART
	CALL       _UART1_Data_Ready+0
	MOVF       R0+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__main61
;pic program siors.mbas,324 :: 		UART1_Read_Text(get_data_received,"",11) 'effettuo la procedura di lettura cercando i 3 byte
	MOVLW      _get_data_received+0
	MOVWF      FARG_UART1_Read_Text_Output+0
	MOVLW      3
	MOVWF      _main_Local_Text+0
	MOVLW      3
	MOVWF      _main_Local_Text+1
	MOVLW      3
	MOVWF      _main_Local_Text+2
	CLRF       _main_Local_Text+3
	MOVLW      _main_Local_Text+0
	MOVWF      FARG_UART1_Read_Text_Delimiter+0
	MOVLW      11
	MOVWF      FARG_UART1_Read_Text_Attempts+0
	CALL       _UART1_Read_Text+0
;pic program siors.mbas,326 :: 		rx_uart_enable = 0 'Disabilita modulo ricezione UART (interrompe ricezione durante procedura)
	BCF        RCSTA+0, 4
;pic program siors.mbas,327 :: 		delay_ms(2) 'attende 2ms prima della procedura
	MOVLW      3
	MOVWF      R12+0
	MOVLW      151
	MOVWF      R13+0
L__main63:
	DECFSZ     R13+0, 1
	GOTO       L__main63
	DECFSZ     R12+0, 1
	GOTO       L__main63
	NOP
	NOP
;pic program siors.mbas,328 :: 		decode_ric_data(get_data_received, correct_packet, address_packet, adr_sender_test, type_packet, data1_packet, data2_packet)
	MOVLW      _get_data_received+0
	MOVWF      FARG_decode_ric_data_array_in_data+0
	MOVLW      _correct_packet+0
	MOVWF      FARG_decode_ric_data_correct_data+0
	MOVLW      _address_packet+0
	MOVWF      FARG_decode_ric_data_address_ric+0
	MOVLW      _adr_sender_test+0
	MOVWF      FARG_decode_ric_data_address_master+0
	MOVLW      _type_packet+0
	MOVWF      FARG_decode_ric_data_type_ric+0
	MOVLW      _data1_packet+0
	MOVWF      FARG_decode_ric_data_data1_ric+0
	MOVLW      _data2_packet+0
	MOVWF      FARG_decode_ric_data_data2_ric+0
	CALL       pic_32program_32siors_decode_ric_data+0
;pic program siors.mbas,329 :: 		if (correct_packet = 1) then
	MOVF       _correct_packet+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__main65
;pic program siors.mbas,330 :: 		if (adr_s = address_packet) and (adr_sender_test = adr_m) and (program_button = 0) then
	MOVF       _adr_s+0, 0
	XORWF      _address_packet+0, 0
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	MOVF       _adr_sender_test+0, 0
	XORWF      _adr_m+0, 0
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R0+0, 0
	ANDWF      R1+0, 1
	CLRF       R0+0
	BTFSC      PORTC+0, 4
	GOTO       L__main70
	MOVLW      255
	MOVWF      R0+0
L__main70:
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__main68
;pic program siors.mbas,332 :: 		case 1
	MOVF       _type_packet+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__main74
;pic program siors.mbas,333 :: 		if (data1_packet = 63) and (data2_packet = 0) then
	MOVF       _data1_packet+0, 0
	XORLW      63
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	MOVF       _data2_packet+0, 0
	XORLW      0
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__main76
;pic program siors.mbas,334 :: 		code_data_to_send(adr_m,1,33,device_type)
	MOVF       _adr_m+0, 0
	MOVWF      FARG_code_data_to_send_address_master_send+0
	MOVLW      1
	MOVWF      FARG_code_data_to_send_type_s+0
	MOVLW      33
	MOVWF      FARG_code_data_to_send_data1_s+0
	MOVLW      77
	MOVWF      FARG_code_data_to_send_data2_s+0
	CALL       pic_32program_32siors_code_data_to_send+0
L__main76:
;pic program siors.mbas,335 :: 		end if
	GOTO       L__main71
L__main74:
;pic program siors.mbas,338 :: 		case 10
	MOVF       _type_packet+0, 0
	XORLW      10
	BTFSS      STATUS+0, 2
	GOTO       L__main80
;pic program siors.mbas,339 :: 		if (data1_packet = 63) and (data2_packet = 0) then
	MOVF       _data1_packet+0, 0
	XORLW      63
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	MOVF       _data2_packet+0, 0
	XORLW      0
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__main82
;pic program siors.mbas,340 :: 		code_data_to_send(adr_m,10,input_value,0)
	MOVF       _adr_m+0, 0
	MOVWF      FARG_code_data_to_send_address_master_send+0
	MOVLW      10
	MOVWF      FARG_code_data_to_send_type_s+0
	MOVF       _input_value+0, 0
	MOVWF      FARG_code_data_to_send_data1_s+0
	CLRF       FARG_code_data_to_send_data2_s+0
	CALL       pic_32program_32siors_code_data_to_send+0
L__main82:
;pic program siors.mbas,341 :: 		end if
	GOTO       L__main71
L__main80:
;pic program siors.mbas,344 :: 		case 11
	MOVF       _type_packet+0, 0
	XORLW      11
	BTFSS      STATUS+0, 2
	GOTO       L__main86
;pic program siors.mbas,345 :: 		if (data1_packet = 63) and (data2_packet = 0) then
	MOVF       _data1_packet+0, 0
	XORLW      63
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	MOVF       _data2_packet+0, 0
	XORLW      0
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__main88
;pic program siors.mbas,346 :: 		read_output() 'Legge il dato attualmente in output
	CALL       pic_32program_32siors_read_output+0
;pic program siors.mbas,347 :: 		code_data_to_send(adr_m,11,out_value_r,0)
	MOVF       _adr_m+0, 0
	MOVWF      FARG_code_data_to_send_address_master_send+0
	MOVLW      11
	MOVWF      FARG_code_data_to_send_type_s+0
	MOVF       _out_value_r+0, 0
	MOVWF      FARG_code_data_to_send_data1_s+0
	CLRF       FARG_code_data_to_send_data2_s+0
	CALL       pic_32program_32siors_code_data_to_send+0
L__main88:
;pic program siors.mbas,348 :: 		end if
	GOTO       L__main71
L__main86:
;pic program siors.mbas,351 :: 		case 12
	MOVF       _type_packet+0, 0
	XORLW      12
	BTFSS      STATUS+0, 2
	GOTO       L__main92
;pic program siors.mbas,352 :: 		if (data2_packet = 0) then
	MOVF       _data2_packet+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main94
;pic program siors.mbas,353 :: 		write_output(data1_packet) 'scrive il nuovo valore in output
	MOVF       _data1_packet+0, 0
	MOVWF      FARG_write_output_out_value_w+0
	CALL       pic_32program_32siors_write_output+0
;pic program siors.mbas,354 :: 		read_output() 'legge il dato in output
	CALL       pic_32program_32siors_read_output+0
;pic program siors.mbas,355 :: 		code_data_to_send(adr_m,12,out_value_r,0) 'invia il dato appena letto
	MOVF       _adr_m+0, 0
	MOVWF      FARG_code_data_to_send_address_master_send+0
	MOVLW      12
	MOVWF      FARG_code_data_to_send_type_s+0
	MOVF       _out_value_r+0, 0
	MOVWF      FARG_code_data_to_send_data1_s+0
	CLRF       FARG_code_data_to_send_data2_s+0
	CALL       pic_32program_32siors_code_data_to_send+0
;pic program siors.mbas,358 :: 		tmr1_reset()
	CALL       pic_32program_32siors_tmr1_reset+0
;pic program siors.mbas,359 :: 		tmr1_enable = 1 'Attiva timer
	BSF        T1CON+0, 0
;pic program siors.mbas,363 :: 		pulse_byte = out_value_r and  EEPROM_Read($03) 'confronta i due valori dei registri
	MOVLW      3
	MOVWF      FARG_EEPROM_Read_address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	ANDWF      _out_value_r+0, 0
	MOVWF      _pulse_byte+0
;pic program siors.mbas,364 :: 		if (EEPROM_Read($02) <> pulse_byte) then 'se il nuovo valore  diverso da quello
	MOVLW      2
	MOVWF      FARG_EEPROM_Read_address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	XORWF      _pulse_byte+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__main97
;pic program siors.mbas,366 :: 		EEPROM_Write($02, pulse_byte)
	MOVLW      2
	MOVWF      FARG_EEPROM_Write_address+0
	MOVF       _pulse_byte+0, 0
	MOVWF      FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
L__main97:
;pic program siors.mbas,367 :: 		end if
L__main94:
;pic program siors.mbas,368 :: 		end if
	GOTO       L__main71
L__main92:
;pic program siors.mbas,371 :: 		case 13
	MOVF       _type_packet+0, 0
	XORLW      13
	BTFSS      STATUS+0, 2
	GOTO       L__main101
;pic program siors.mbas,372 :: 		if (data1_packet = 63) and (data2_packet = 0) then
	MOVF       _data1_packet+0, 0
	XORLW      63
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	MOVF       _data2_packet+0, 0
	XORLW      0
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__main103
;pic program siors.mbas,373 :: 		analog_value = adc_read(0) 'Legge il valore dell'ADC
	CLRF       FARG_Adc_Read_channel+0
	CALL       _Adc_Read+0
	MOVF       R0+0, 0
	MOVWF      _analog_value+0
	MOVF       R0+1, 0
	MOVWF      _analog_value+1
;pic program siors.mbas,374 :: 		code_data_to_send(adr_m, 13, analog_value, Hi(analog_value))
	MOVF       _adr_m+0, 0
	MOVWF      FARG_code_data_to_send_address_master_send+0
	MOVLW      13
	MOVWF      FARG_code_data_to_send_type_s+0
	MOVF       R0+0, 0
	MOVWF      FARG_code_data_to_send_data1_s+0
	MOVF       _analog_value+1, 0
	MOVWF      FARG_code_data_to_send_data2_s+0
	CALL       pic_32program_32siors_code_data_to_send+0
;pic program siors.mbas,375 :: 		read_request.0 = 0
	BCF        _read_request+0, 0
L__main103:
;pic program siors.mbas,376 :: 		end if
	GOTO       L__main71
L__main101:
;pic program siors.mbas,379 :: 		case 14
	MOVF       _type_packet+0, 0
	XORLW      14
	BTFSS      STATUS+0, 2
	GOTO       L__main107
;pic program siors.mbas,380 :: 		if (data1_packet = 63) and (data2_packet = 0) then
	MOVF       _data1_packet+0, 0
	XORLW      63
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	MOVF       _data2_packet+0, 0
	XORLW      0
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__main109
;pic program siors.mbas,381 :: 		if (read_request.0 = 1) then 'Se  la pima richiesta di dato dalla lettura
	BTFSS      _read_request+0, 0
	GOTO       L__main112
;pic program siors.mbas,382 :: 		code_data_to_send(adr_m, 14, analog_value, Hi(analog_value))
	MOVF       _adr_m+0, 0
	MOVWF      FARG_code_data_to_send_address_master_send+0
	MOVLW      14
	MOVWF      FARG_code_data_to_send_type_s+0
	MOVF       _analog_value+0, 0
	MOVWF      FARG_code_data_to_send_data1_s+0
	MOVF       _analog_value+1, 0
	MOVWF      FARG_code_data_to_send_data2_s+0
	CALL       pic_32program_32siors_code_data_to_send+0
;pic program siors.mbas,383 :: 		read_request.0 = 0
	BCF        _read_request+0, 0
	GOTO       L__main113
;pic program siors.mbas,384 :: 		else
L__main112:
;pic program siors.mbas,385 :: 		code_data_to_send(adr_m,63,3,0) 'invia codice errore lettura senza richiesta (errore 3)
	MOVF       _adr_m+0, 0
	MOVWF      FARG_code_data_to_send_address_master_send+0
	MOVLW      63
	MOVWF      FARG_code_data_to_send_type_s+0
	MOVLW      3
	MOVWF      FARG_code_data_to_send_data1_s+0
	CLRF       FARG_code_data_to_send_data2_s+0
	CALL       pic_32program_32siors_code_data_to_send+0
;pic program siors.mbas,386 :: 		end if
L__main113:
L__main109:
;pic program siors.mbas,387 :: 		end if
	GOTO       L__main71
L__main107:
;pic program siors.mbas,390 :: 		case 15
	MOVF       _type_packet+0, 0
	XORLW      15
	BTFSS      STATUS+0, 2
	GOTO       L__main116
;pic program siors.mbas,391 :: 		if (data1_packet = 63) and (data2_packet = 0) then
	MOVF       _data1_packet+0, 0
	XORLW      63
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	MOVF       _data2_packet+0, 0
	XORLW      0
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__main118
;pic program siors.mbas,392 :: 		code_data_to_send(adr_m,15, analog_value, Hi(analog_value))
	MOVF       _adr_m+0, 0
	MOVWF      FARG_code_data_to_send_address_master_send+0
	MOVLW      15
	MOVWF      FARG_code_data_to_send_type_s+0
	MOVF       _analog_value+0, 0
	MOVWF      FARG_code_data_to_send_data1_s+0
	MOVF       _analog_value+1, 0
	MOVWF      FARG_code_data_to_send_data2_s+0
	CALL       pic_32program_32siors_code_data_to_send+0
L__main118:
;pic program siors.mbas,393 :: 		end if
	GOTO       L__main71
L__main116:
;pic program siors.mbas,396 :: 		case 16
	MOVF       _type_packet+0, 0
	XORLW      16
	BTFSS      STATUS+0, 2
	GOTO       L__main122
;pic program siors.mbas,397 :: 		if (data1_packet = 63) and (data2_packet = 0) then
	MOVF       _data1_packet+0, 0
	XORLW      63
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	MOVF       _data2_packet+0, 0
	XORLW      0
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__main124
;pic program siors.mbas,400 :: 		code_data_to_send(adr_m,16, not flag_low_byte, flag_hi_byte)
	MOVF       _adr_m+0, 0
	MOVWF      FARG_code_data_to_send_address_master_send+0
	MOVLW      16
	MOVWF      FARG_code_data_to_send_type_s+0
	COMF       _flag_low_byte+0, 0
	MOVWF      FARG_code_data_to_send_data1_s+0
	MOVF       _flag_hi_byte+0, 0
	MOVWF      FARG_code_data_to_send_data2_s+0
	CALL       pic_32program_32siors_code_data_to_send+0
L__main124:
;pic program siors.mbas,401 :: 		end if
	GOTO       L__main71
L__main122:
;pic program siors.mbas,404 :: 		case 17
	MOVF       _type_packet+0, 0
	XORLW      17
	BTFSS      STATUS+0, 2
	GOTO       L__main128
;pic program siors.mbas,405 :: 		if (data1_packet = 82) then
	MOVF       _data1_packet+0, 0
	XORLW      82
	BTFSS      STATUS+0, 2
	GOTO       L__main130
;pic program siors.mbas,407 :: 		case 76 'Reset solo flag LOW
	MOVF       _data2_packet+0, 0
	XORLW      76
	BTFSS      STATUS+0, 2
	GOTO       L__main135
;pic program siors.mbas,408 :: 		flag_low_byte = $FF
	MOVLW      255
	MOVWF      _flag_low_byte+0
;pic program siors.mbas,409 :: 		code_data_to_send(adr_m,17, 82, 76)
	MOVF       _adr_m+0, 0
	MOVWF      FARG_code_data_to_send_address_master_send+0
	MOVLW      17
	MOVWF      FARG_code_data_to_send_type_s+0
	MOVLW      82
	MOVWF      FARG_code_data_to_send_data1_s+0
	MOVLW      76
	MOVWF      FARG_code_data_to_send_data2_s+0
	CALL       pic_32program_32siors_code_data_to_send+0
	GOTO       L__main132
L__main135:
;pic program siors.mbas,410 :: 		case 72 'Reset solo flag HIGH
	MOVF       _data2_packet+0, 0
	XORLW      72
	BTFSS      STATUS+0, 2
	GOTO       L__main138
;pic program siors.mbas,411 :: 		flag_hi_byte = 0
	CLRF       _flag_hi_byte+0
;pic program siors.mbas,412 :: 		code_data_to_send(adr_m,17, 82, 72)
	MOVF       _adr_m+0, 0
	MOVWF      FARG_code_data_to_send_address_master_send+0
	MOVLW      17
	MOVWF      FARG_code_data_to_send_type_s+0
	MOVLW      82
	MOVWF      FARG_code_data_to_send_data1_s+0
	MOVLW      72
	MOVWF      FARG_code_data_to_send_data2_s+0
	CALL       pic_32program_32siors_code_data_to_send+0
	GOTO       L__main132
L__main138:
;pic program siors.mbas,413 :: 		case 65 'Reset dei due registri
	MOVF       _data2_packet+0, 0
	XORLW      65
	BTFSS      STATUS+0, 2
	GOTO       L__main141
;pic program siors.mbas,414 :: 		flag_low_byte = $FF
	MOVLW      255
	MOVWF      _flag_low_byte+0
;pic program siors.mbas,415 :: 		flag_hi_byte = 0
	CLRF       _flag_hi_byte+0
;pic program siors.mbas,416 :: 		code_data_to_send(adr_m,17, 82, 65)
	MOVF       _adr_m+0, 0
	MOVWF      FARG_code_data_to_send_address_master_send+0
	MOVLW      17
	MOVWF      FARG_code_data_to_send_type_s+0
	MOVLW      82
	MOVWF      FARG_code_data_to_send_data1_s+0
	MOVLW      65
	MOVWF      FARG_code_data_to_send_data2_s+0
	CALL       pic_32program_32siors_code_data_to_send+0
	GOTO       L__main132
L__main141:
L__main132:
;pic program siors.mbas,417 :: 		end select
L__main130:
;pic program siors.mbas,418 :: 		end if
	GOTO       L__main71
L__main128:
;pic program siors.mbas,421 :: 		case 18
	MOVF       _type_packet+0, 0
	XORLW      18
	BTFSS      STATUS+0, 2
	GOTO       L__main144
;pic program siors.mbas,422 :: 		if (data1_packet = 63) and (data2_packet = 0) then
	MOVF       _data1_packet+0, 0
	XORLW      63
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	MOVF       _data2_packet+0, 0
	XORLW      0
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__main146
;pic program siors.mbas,423 :: 		code_data_to_send(adr_m,18, not EEPROM_Read($03), EEPROM_Read($06))
	MOVLW      6
	MOVWF      FARG_EEPROM_Read_address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      FLOC__main+0
	MOVLW      3
	MOVWF      FARG_EEPROM_Read_address+0
	CALL       _EEPROM_Read+0
	COMF       R0+0, 0
	MOVWF      FARG_code_data_to_send_data1_s+0
	MOVF       _adr_m+0, 0
	MOVWF      FARG_code_data_to_send_address_master_send+0
	MOVLW      18
	MOVWF      FARG_code_data_to_send_type_s+0
	MOVF       FLOC__main+0, 0
	MOVWF      FARG_code_data_to_send_data2_s+0
	CALL       pic_32program_32siors_code_data_to_send+0
L__main146:
;pic program siors.mbas,424 :: 		end if
	GOTO       L__main71
L__main144:
;pic program siors.mbas,427 :: 		case 19
	MOVF       _type_packet+0, 0
	XORLW      19
	BTFSS      STATUS+0, 2
	GOTO       L__main150
;pic program siors.mbas,430 :: 		EEPROM_Write($03, not data1_packet) 'Il valore vine invertito prima di essere memorizzato
	MOVLW      3
	MOVWF      FARG_EEPROM_Write_address+0
	COMF       _data1_packet+0, 0
	MOVWF      FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
;pic program siors.mbas,431 :: 		EEPROM_Write($06, data2_packet)
	MOVLW      6
	MOVWF      FARG_EEPROM_Write_address+0
	MOVF       _data2_packet+0, 0
	MOVWF      FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
;pic program siors.mbas,432 :: 		code_data_to_send(adr_m,19, data1_packet, data2_packet) 'Invia il contenuto del registro pulse byte nell'EEPROM
	MOVF       _adr_m+0, 0
	MOVWF      FARG_code_data_to_send_address_master_send+0
	MOVLW      19
	MOVWF      FARG_code_data_to_send_type_s+0
	MOVF       _data1_packet+0, 0
	MOVWF      FARG_code_data_to_send_data1_s+0
	MOVF       _data2_packet+0, 0
	MOVWF      FARG_code_data_to_send_data2_s+0
	CALL       pic_32program_32siors_code_data_to_send+0
;pic program siors.mbas,434 :: 		tmr1_enable = 0
	BCF        T1CON+0, 0
;pic program siors.mbas,435 :: 		tmr1_reset()
	CALL       pic_32program_32siors_tmr1_reset+0
;pic program siors.mbas,438 :: 		delay_set = data2_packet * 2
	MOVF       _data2_packet+0, 0
	MOVWF      R1+0
	CLRF       R1+1
	MOVF       R1+0, 0
	MOVWF      _delay_set+0
	MOVF       R1+1, 0
	MOVWF      _delay_set+1
	RLF        _delay_set+0, 1
	RLF        _delay_set+1, 1
	BCF        _delay_set+0, 0
;pic program siors.mbas,441 :: 		read_output()'Legge gli output dopo la modifica
	CALL       pic_32program_32siors_read_output+0
;pic program siors.mbas,442 :: 		pulse_byte = out_value_r and  EEPROM_Read($03)'Azzera i bit impostati come Pulse
	MOVLW      3
	MOVWF      FARG_EEPROM_Read_address+0
	CALL       _EEPROM_Read+0
	MOVF       _out_value_r+0, 0
	ANDWF      R0+0, 1
	MOVF       R0+0, 0
	MOVWF      _pulse_byte+0
;pic program siors.mbas,443 :: 		write_output(pulse_byte)'scrive in output il valore con i bit pulse azzerati
	MOVF       R0+0, 0
	MOVWF      FARG_write_output_out_value_w+0
	CALL       pic_32program_32siors_write_output+0
;pic program siors.mbas,444 :: 		if (EEPROM_Read($02) <> pulse_byte) then 'Se il valore  diverso da quello presente in eeprom
	MOVLW      2
	MOVWF      FARG_EEPROM_Read_address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	XORWF      _pulse_byte+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__main152
;pic program siors.mbas,446 :: 		EEPROM_Write($02, pulse_byte)
	MOVLW      2
	MOVWF      FARG_EEPROM_Write_address+0
	MOVF       _pulse_byte+0, 0
	MOVWF      FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
L__main152:
;pic program siors.mbas,447 :: 		end if
	GOTO       L__main71
L__main150:
;pic program siors.mbas,449 :: 		case 63 'Ricevuto codice errore
	MOVF       _type_packet+0, 0
	XORLW      63
	BTFSS      STATUS+0, 2
	GOTO       L__main156
;pic program siors.mbas,450 :: 		if (data1_packet = 2) and (data2_packet = 0) then 'se l'invio precedente era errato (errore 2)
	MOVF       _data1_packet+0, 0
	XORLW      2
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	MOVF       _data2_packet+0, 0
	XORLW      0
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__main158
;pic program siors.mbas,451 :: 		send_data(last_send_data) 'reinvia l'ultimo dato
	MOVLW      _last_send_data+0
	MOVWF      FARG_send_data_datasend+0
	CALL       pic_32program_32siors_send_data+0
L__main158:
;pic program siors.mbas,452 :: 		end if
	GOTO       L__main71
L__main156:
L__main71:
;pic program siors.mbas,454 :: 		end select
	GOTO       L__main69
;pic program siors.mbas,455 :: 		else
L__main68:
;pic program siors.mbas,456 :: 		if (address_packet = 255) and (adr_sender_test = 255) then 'indirizzo che richiama tutti i dispositivi
	MOVF       _address_packet+0, 0
	XORLW      255
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	MOVF       _adr_sender_test+0, 0
	XORLW      255
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__main161
;pic program siors.mbas,460 :: 		case 60
	MOVF       _type_packet+0, 0
	XORLW      60
	BTFSS      STATUS+0, 2
	GOTO       L__main166
;pic program siors.mbas,461 :: 		if (program_button = 1) then'solo se il selettore  im modalit programmazione parte la procedura
	BTFSS      PORTC+0, 4
	GOTO       L__main168
;pic program siors.mbas,462 :: 		if (data1_packet <> 0) and (data2_packet <> 0) and (data1_packet < 255) and
	MOVF       _data1_packet+0, 0
	XORLW      0
	MOVLW      255
	BTFSC      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	MOVF       _data2_packet+0, 0
	XORLW      0
	MOVLW      255
	BTFSC      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R0+0, 0
	ANDWF      R1+0, 1
	MOVLW      255
	SUBWF      _data1_packet+0, 0
	MOVLW      255
	BTFSC      STATUS+0, 0
	MOVLW      0
	MOVWF      R0+0
	MOVF       R0+0, 0
	ANDWF      R1+0, 1
;pic program siors.mbas,463 :: 		(data2_packet < 255) and (data1_packet <> data2_packet) then
	MOVLW      255
	SUBWF      _data2_packet+0, 0
	MOVLW      255
	BTFSC      STATUS+0, 0
	MOVLW      0
	MOVWF      R0+0
	MOVF       R0+0, 0
	ANDWF      R1+0, 1
	MOVF       _data1_packet+0, 0
	XORWF      _data2_packet+0, 0
	MOVLW      255
	BTFSC      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__main171
;pic program siors.mbas,465 :: 		EEPROM_Write($00, data1_packet)
	CLRF       FARG_EEPROM_Write_address+0
	MOVF       _data1_packet+0, 0
	MOVWF      FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
;pic program siors.mbas,466 :: 		EEPROM_Write($01, data2_packet)
	MOVLW      1
	MOVWF      FARG_EEPROM_Write_address+0
	MOVF       _data2_packet+0, 0
	MOVWF      FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
;pic program siors.mbas,467 :: 		code_data_to_send(255,60,65,79) 'invia pacchetto programmazione corretta
	MOVLW      255
	MOVWF      FARG_code_data_to_send_address_master_send+0
	MOVLW      60
	MOVWF      FARG_code_data_to_send_type_s+0
	MOVLW      65
	MOVWF      FARG_code_data_to_send_data1_s+0
	MOVLW      79
	MOVWF      FARG_code_data_to_send_data2_s+0
	CALL       pic_32program_32siors_code_data_to_send+0
;pic program siors.mbas,468 :: 		led_activity = 1
	BSF        PORTC+0, 3
;pic program siors.mbas,470 :: 		reset_EEPROM_value()
	CALL       pic_32program_32siors_reset_EEPROM_value+0
;pic program siors.mbas,471 :: 		delay_ms(950)
	MOVLW      5
	MOVWF      R11+0
	MOVLW      210
	MOVWF      R12+0
	MOVLW      191
	MOVWF      R13+0
L__main173:
	DECFSZ     R13+0, 1
	GOTO       L__main173
	DECFSZ     R12+0, 1
	GOTO       L__main173
	DECFSZ     R11+0, 1
	GOTO       L__main173
;pic program siors.mbas,472 :: 		led_activity = 0
	BCF        PORTC+0, 3
	GOTO       L__main172
;pic program siors.mbas,473 :: 		else
L__main171:
;pic program siors.mbas,474 :: 		code_data_to_send(255,63,1,0) 'invia pacchetto programmazione errata (errore 1)
	MOVLW      255
	MOVWF      FARG_code_data_to_send_address_master_send+0
	MOVLW      63
	MOVWF      FARG_code_data_to_send_type_s+0
	MOVLW      1
	MOVWF      FARG_code_data_to_send_data1_s+0
	CLRF       FARG_code_data_to_send_data2_s+0
	CALL       pic_32program_32siors_code_data_to_send+0
;pic program siors.mbas,475 :: 		led_activity = 1 'avvisa con lampeggio led
	BSF        PORTC+0, 3
;pic program siors.mbas,476 :: 		delay_ms(50)
	MOVLW      65
	MOVWF      R12+0
	MOVLW      238
	MOVWF      R13+0
L__main174:
	DECFSZ     R13+0, 1
	GOTO       L__main174
	DECFSZ     R12+0, 1
	GOTO       L__main174
	NOP
;pic program siors.mbas,477 :: 		led_activity = 0
	BCF        PORTC+0, 3
;pic program siors.mbas,478 :: 		end if
L__main172:
L__main168:
;pic program siors.mbas,479 :: 		end if
	GOTO       L__main163
L__main166:
;pic program siors.mbas,482 :: 		case 50, 51
	MOVF       _type_packet+0, 0
	XORLW      50
	BTFSS      STATUS+0, 2
	GOTO       L__main177
	GOTO       L__main175
L__main177:
	MOVF       _type_packet+0, 0
	XORLW      51
	BTFSS      STATUS+0, 2
	GOTO       L__main178
L__main175:
;pic program siors.mbas,483 :: 		if (data1_packet = 63) and (data2_packet = 0) and (program_button = 0)  then
	MOVF       _data1_packet+0, 0
	XORLW      63
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	MOVF       _data2_packet+0, 0
	XORLW      0
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R0+0, 0
	ANDWF      R1+0, 1
	CLRF       R0+0
	BTFSC      PORTC+0, 4
	GOTO       L__main182
	MOVLW      255
	MOVWF      R0+0
L__main182:
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__main180
;pic program siors.mbas,484 :: 		led_activity = 1 'segnala attraverso l'attivazione del led
	BSF        PORTC+0, 3
;pic program siors.mbas,485 :: 		analog_value = adc_read(0) 'legge il nuovo valore
	CLRF       FARG_Adc_Read_channel+0
	CALL       _Adc_Read+0
	MOVF       R0+0, 0
	MOVWF      _analog_value+0
	MOVF       R0+1, 0
	MOVWF      _analog_value+1
;pic program siors.mbas,486 :: 		read_request.0 = 1 'segna la lettura
	BSF        _read_request+0, 0
;pic program siors.mbas,487 :: 		delay_ms(20)
	MOVLW      26
	MOVWF      R12+0
	MOVLW      248
	MOVWF      R13+0
L__main183:
	DECFSZ     R13+0, 1
	GOTO       L__main183
	DECFSZ     R12+0, 1
	GOTO       L__main183
	NOP
;pic program siors.mbas,488 :: 		led_activity = 0
	BCF        PORTC+0, 3
L__main180:
;pic program siors.mbas,489 :: 		end if
	GOTO       L__main163
L__main178:
L__main163:
;pic program siors.mbas,491 :: 		end select
L__main161:
;pic program siors.mbas,493 :: 		end if
L__main69:
L__main65:
;pic program siors.mbas,495 :: 		get_data_received = "" 'svuoto array valori ricevuti
	CLRF       _get_data_received+0
;pic program siors.mbas,496 :: 		rx_uart_enable = 1 'Abilita modulo ricezione UART
	BSF        RCSTA+0, 4
L__main61:
;pic program siors.mbas,498 :: 		wend
	GOTO       L__main53
	GOTO       $+0
; end of _main
